<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRfPALoopbackCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRfPALoopbackCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Radar RF PA loopback configuration.  
 <a href="structrl_rf_p_a_loopback_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aac14aedf0c9a6506e652a1a3ba983879"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac14aedf0c9a6506e652a1a3ba983879"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_p_a_loopback_cfg__t.html#aac14aedf0c9a6506e652a1a3ba983879">paLoopbackFreq</a></td></tr>
<tr class="memdesc:aac14aedf0c9a6506e652a1a3ba983879"><td class="mdescLeft">&#160;</td><td class="mdescRight">value is a 100MHz divider which sets the loopback frequency <br />
 For e.g. for a 1 MHz frequency, set this to 10 <br />
 For a 2 MHz frequency, set this to 50 <br />
 Note: To ensure no leakage of signal power, user has to ensure that<br />
 100MHz/LOOPBACK_FREQ is an integer multiple of bin width For e.g. if user <br />
 choses 25Msps sampling rate and 2048 samples/chirp, then <br />
 LOOPBACK_FREQ of 64 (=1.5625MHz) will ensure no leakage <br />
<br /></td></tr>
<tr class="separator:aac14aedf0c9a6506e652a1a3ba983879"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a605f29a5e4877f79fcab72c097904e10"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a605f29a5e4877f79fcab72c097904e10"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_p_a_loopback_cfg__t.html#a605f29a5e4877f79fcab72c097904e10">paLoopbackEn</a></td></tr>
<tr class="memdesc:a605f29a5e4877f79fcab72c097904e10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/Disable PA loopback <br />
 1: PA loopback Enable, 0: PA loopback Disable <br />
. <br /></td></tr>
<tr class="separator:a605f29a5e4877f79fcab72c097904e10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9b808524860138b12891f5ac602cd8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9b808524860138b12891f5ac602cd8e"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_p_a_loopback_cfg__t.html#ab9b808524860138b12891f5ac602cd8e">reserved</a></td></tr>
<tr class="memdesc:ab9b808524860138b12891f5ac602cd8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ab9b808524860138b12891f5ac602cd8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Radar RF PA loopback configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
